PACSTRAP(8)

BEZEICHNUNG
pacstrap - Pakete in das angegebene neue Wurzelverzeichnis installieren

ÜBERSICHT

pacstrap [Optionen] Wurzel [Pakete …]

BESCHREIBUNG

pacstrap dient zum Erzeugen einer neuen Systeminstallation von Grund auf. Die angegebenen Pakete werden in das angegebene Verzeichnis installiert, nachdem einige grundlegende Einhängepunkte eingerichtet wurden. Standardmäßig werden die Signaturschlüssel und die Spiegelserverliste des Dienstprogramms pacman(8) des Hauptsystems zum Einrichten der chroot-Umgebung verwendet.

Falls keine zu installierenden Pakete angegeben werden, wird das Metapaket base installiert.

OPTIONEN

-C <Konfigurationsdatei>
    verwendet eine alternative Konfigurationsdatei für pacman(8).

-c
    verwendet den Paketzwischenspeicher des Hauptsystems anstatt den des Zielsystems.

-D
    überspringt die Abhängigkeitsprüfungen von pacman(8).

-G
    verhindert, dass der Schlüsselbund von pacman(8) des Hauptsystems in das Zielsystem kopiert wird.

-i
    fragt nach Bestätigungen für Pakete, falls nötig (wird interaktiv ausgeführt).

-K
    initialisiert einen leeren Schlüsselbund für pacman(8) im Zielsystem (impliziert -G).

-M
    verhindert, dass die Spiegelserverliste des Hauptsystems in das Zielsystem kopiert wird.

-N
    bewirkt die Ausführung im Unshare-Modus. Hierzu wird mittels unshare(1) ein neuer Einhänge- und Benutzernamensraum erzeugt, wodurch reguläre Benutzer die Möglichkeit erhalten, System-Neuinstallationen auszuführen.

-P
    kopiert die pacman(8)-Konfiguration des Hauptsystems in das Zielsystem.

-U
    verwendet den Befehl pacman -U, um Pakete zu installieren. Damit erhalten Sie eine genauere Kontrolle über die installierten Pakete.

-h
    gibt die Syntax und Befehlszeilenoptionen aus.

SIEHE AUCH

pacman(8)

FEHLER

Fehler können im Fehlererfassungssystem auf https://bugs.archlinux.org in der Kategorie »Arch Linux« gemeldet werden. Stellen Sie dem Titel bitte [arch-install-scripts] voran. Alternativ können Sie Fehler über die E-Mail-Adresse arch-projects@archlinux.org melden.

AUTOREN

Betreuer:

    • Dave Reisner (dreisner@archlinux.org)

    • Eli Schwartz (eschwartz@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Git-Repositorium arch-install-scripts.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).